Bug 44689 - Page numbers with offset in MS formats
Summary: Page numbers with offset in MS formats
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: Other All
: lowest trivial
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-11 09:27 UTC by andrey.xojiod
Modified: 2014-04-29 09:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Page Number Changes to Page 1 for DocX (4.17 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-06-08 08:17 UTC, Joel Madero
Details
Same bug with RTF (9.97 KB, application/rtf)
2012-06-08 08:18 UTC, Joel Madero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andrey.xojiod 2012-01-11 09:27:52 UTC
After saving MS document (.rtf or .docx) and reopening it, page number offset goes away (i.e. it starts from 1)
Comment 1 Joel Madero 2012-06-08 08:17:29 UTC
Created attachment 62802 [details]
Page Number Changes to Page 1 for DocX
Comment 2 Joel Madero 2012-06-08 08:18:00 UTC
I have confirmed this bug with both rtf and docx format using Build: 80d5a21 (Version 3.6.0alpha1)

Added two attachments. When I created the documents the first page was set to page 7 and showed correctly in the footer. After closing the document and reopening it the page changed to page 1.

Marking as CONFIRMED.

Just as a note to those experiencing this bug, there is rarely an instance when saving in docx is necessary thus the trivial status.
Comment 3 Joel Madero 2012-06-08 08:18:22 UTC
Created attachment 62803 [details]
Same bug with RTF
Comment 4 Jorendc 2013-06-04 12:58:47 UTC
Comment on attachment 62803 [details]
Same bug with RTF

RTF file without offset. Did some retests, RTF import is fine :-). Marking this rtf-file as obsolete
Comment 5 Commit Notification 2013-08-22 13:58:41 UTC
Piao Jing Nan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b904b9a4875a023b430f013e62b81bc90ea8a592

fdo#44689: fix for DOCX import+export of page number start value



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-10-22 08:05:24 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2ccd20c0fd92bddfff76447754541705e3eb8f3

fdo#44689: fix for specific case of page restart-value 0



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 retired 2014-04-29 09:49:27 UTC
FIXED

I open test file in Word 2011 and LO 4.2.3.3 on OSX 10.9.2 and they both display page number "7". Looking good.

Then in LO save as "newfile" docx. Close Lo + re-open file. Still page number "7".

Seems one of the above commits did indeed fix this.

Please re-open if the issue persists for you.